# PCHYPREGetType

Gets which hypre preconditioner you are using

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCHYPREGetType(PC pc,const char *name[])

### Input Parameter

pc -the preconditioner context

### Output Parameter

name -either pilut, parasails, boomeramg, euclid

### See Also

PCCreate(), PCHYPRESetType(), PCType (for list of available types), PC,
PCHYPRE

Level:intermediate
Location: src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages